Subject: [PATCH] ARM: exynos: move exynos4210-combiner to drivers/irqchip

From: [email-masked] (Rob Herring)
Date: Thu, 14 Feb 2013 08:25:04 -0600

On 02/13/2013 12:51 PM, Doug Anderson wrote:
> Rob / Olof,
> 
> On Tue, Feb 12, 2013 at 2:52 PM, Olof Johansson <[email-masked]> wrote:
>> On Tue, Feb 12, 2013 at 04:04:52PM -0600, Rob Herring wrote:
>>> From: Rob Herring <[email-masked]>
>>>
>>> Exynos boot is broken with commit 0529e315 (ARM: use common irqchip_init
>>> for GIC init). This commit split the irqchip initialization into 2 calls
>>> to of_irq_init. This does not work because of_irq_init requires interrupt
>>> parents to be in the match list.
>>>
>>> Rather than reverting exynos changes, make it do the proper thing by using
>>> IRQCHIP_DECLARE. This requires moving the combiner code to drivers/irqchip.
>>>
>>> Reported-by: Doug Anderson <[email-masked]>
>>> Signed-off-by: Rob Herring <[email-masked]>
>>> Cc: Kukjin Kim <[email-masked]>
>>> Cc: Russell King <[email-masked]>
>>> Cc: Thomas Gleixner <[email-masked]>
>>> Cc: linux-samsung-soc at vger.kernel.org
>>> ---
>>>
>>> I thought there may be other platforms broken in the same way, but I
>>> checked and exynos is the only one.
>>>
>>> This is based on my gic/vic irqchip branch in arm-soc.
>>
>> Applied to next/cleanup.
> 
> I synced up to next-20130213 and the problem is fixed.  :)  ...that
> label doesn't exactly boot but the problems are unrelated to this
> problem now (there are problems with the OF conversions to raw
> spinlocks)...
> 

That should be fixed, but may not be in -next yet. It is in Grant's tree.

Rob

> I haven't done any review of this code (I'm assuming that Olof already
> looked it over and Samsung engineers will give it a thorough review),
> but it's definitely tested.  :)
> 
> Tested-by: Doug Anderson <[email-masked]>
> 
> Thanks!
> 
> -Doug
>